{ pkgs
, lib
, modulesPath
, ... }: {
  global = {
    id = "bc8036643fc24f04ab150ff6a38dcce7";
    auth.openssh.enable = true;
    libvirt.enable = false;
    io.bluetooth = false;
    io.audio = false;
    fs.esp.uuid = "00A5-929C";
    fs.type = "xfs";
    fs.store = "25b9f83f-7f6d-432f-a169-2985e5930401";
    fs.extPersist.enable = true;
    fs.extPersist.device = "/dev/disk/by-uuid/ba3d0989-9f81-4ac0-b5a7-124c86835cfa";
    fs.extPersist.fsType = "ext4";
  };

  networking.proxy = {
    default = "socks5://192.168.1.253:1080";
    noProxy = "127.0.0.1,localhost,.localdomain";
  };

  imports = lib.pipe ./. [
    builtins.readDir
    (lib.filterAttrs (n: ty: ty == "regular" && n != "default.nix"))
    (lib.mapAttrsToList (n: _: ./${n}))
  ] ++ [ (modulesPath + "/profiles/qemu-guest.nix") ];

  boot.initrd.availableKernelModules = [ "ata_piix" "uhci_hcd" "ahci" "virtio_pci" "sr_mod" "virtio_blk" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];
  boot.kernelParams = [ "console=ttyS0,115200n8" ];
  networking.firewall.allowedTCPPorts = [ 25565 ];
  environment.systemPackages = with pkgs; [ python3 ];
}
